Bug 903909 - Does not support 'GiB' format when creating fileio storage object.
Summary: Does not support 'GiB' format when creating fileio storage object.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fcoe-target-utils
Version: 6.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Maurizio Lombardi
QA Contact: Bruno Goncalves
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-25 03:23 UTC by Gris Ge
Modified: 2017-12-06 10:31 UTC (History)
2 users (show)

Fixed In Version: targetcli-2.0rc1.fb20
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 10:31:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gris Ge 2013-01-25 03:23:29 UTC
Description of problem:
====
/> /backstores/fileio create bnx2fc-st16-99 /tmp/fcoe-bnx2fc-st16-99 1TiB
Using params size=1TiB write_back=True sparse=True
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/configshell/shell.py", line 990, in run_interactive
    self._cli_loop()
  File "/usr/lib/python2.6/site-packages/configshell/shell.py", line 813, in _cli_loop
    self.run_cmdline(cmdline)
  File "/usr/lib/python2.6/site-packages/configshell/shell.py", line 934, in run_cmdline
    self._execute_command(path, command, pparams, kparams)
  File "/usr/lib/python2.6/site-packages/configshell/shell.py", line 909, in _execute_command
    result = target.execute_command(command, pparams, kparams)
  File "/usr/lib/python2.6/site-packages/targetcli/ui_node.py", line 84, in execute_command
    pparams, kparams)
  File "/usr/lib/python2.6/site-packages/configshell/node.py", line 1405, in execute_command
    result = method(*pparams, **kparams)
  File "/usr/lib/python2.6/site-packages/targetcli/ui_backstore.py", line 308, in ui_command_create
    size = human_to_bytes(size)
  File "/usr/lib/python2.6/site-packages/targetcli/ui_backstore.py", line 52, in human_to_bytes
    raise RTSLibError("Cannot interpret size, wrong format: %s" % hsize)
NameError: global name 'RTSLibError' is not defined
====

Version-Release number of selected component (if applicable):
fcoe-target-utils-2.0rc1.fb16-3.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. targetcli /backstores/fileio create tmp /tmp/abc 1TiB
2.
3.
  
Actual results:
python crash.

Expected results:
targetcli support using 'TiB|GiB|KiB|MiB" as LUN size.

Additional info:

Meanwhile, please find a mechanism to do option check. targetcli should complain about incorrect usage instead of python call trace.

Thanks.

Comment 1 Andy Grover 2013-01-25 18:34:30 UTC
Now fixed upstream.

Comment 3 RHEL Product and Program Management 2013-06-27 16:04:35 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 4 Andy Grover 2014-01-16 22:46:51 UTC
low prio issue, not enough to justify a fcoe-target-utils rebase, but if we do, it'll get fixed.

Comment 7 Jan Kurik 2017-12-06 10:31:01 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.